Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.security.jacc
Class EJBRoleRefPermission

    java.lang.Object
      java.security.Permission
          javax.security.jacc.EJBRoleRefPermission

All Implemented Interfaces:
  java.security.Guard, java.io.Serializable

public final class EJBRoleRefPermission
extends java.security.Permission
implements java.io.Serializable

Class for EJB `isCallerInRole (String reference)` permissions. An EJBRoleRefPermission is a named permission and has actions.

The name of an EJBRoleRefPermission contains the value of the ejb-name element in the application's deployment descriptor that identifies the EJB in whose context the permission is being evalutated.

the actions of an EJBRoleRefPermission identifies the role reference to which the permission applies. An EJBRoleRefPermission is checked to determine if the subject is a member of the role identified by the reference.

Implementations of this class MAY implement newPermissionCollection or inherit its implementation from the super class.

Version:
  %I% %E%
Author:
  Ron Monzillo, Gary Ellison
See Also:
  `Permission`, Serialized Form

Constructor Summary
`EJBRoleRefPermission(java.lang.String name, java.lang.String actions)` Creates a new EJBRoleRefPermission with the specified name and actions.

Method Summary
`boolean` | `equals(java.lang.Object o)` Checks two EJBRoleRefPermission objects for equality.
`java.lang.String` | `getActions()` Returns a canonical String representation of the actions of this EJBRoleRefPermission.
`int` | `hashCode()` Returns the hash code value for this EJBRoleRefPermission.
`boolean` | `implies(java.security.Permission permission)` Determines if the argument Permission is "implied by" this EJBRoleRefPermission.

Methods inherited from class java.security.Permission
`checkGuard, getName, newPermissionCollection, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EJBRoleRefPermission

    public EJBRoleRefPermission(java.lang.String name,
                                java.lang.String actions)

  Creates a new EJBRoleRefPermission with the specified name and actions.

Parameters:
  `name` - the ejb-name that identifies the EJB in whose context the role references are to be evaluated.

  `actions` - identifies the role reference to which the permission pertains. The role reference is scoped to the EJB identified in the name parameter. The value of the role reference must not be `null` or the empty string.

Method Detail

### equals

    public boolean equals(java.lang.Object o)

  Checks two EJBRoleRefPermission objects for equality. EJBRoleRefPermission objects are equivalent if they have case equivalent name and actions values.

  Two Permission objects, P1 and P2, are equivalent if and only if P1.implies(P2) && P2.implies(P1).

  Parameters:
    `o` - the EJBRoleRefPermission object being tested for equality with this EJBRoleRefPermission.

  Returns:
    true if the argument EJBRoleRefPermission object is equivalent to this EJBRoleRefPermission.

### getActions

    public java.lang.String getActions()

  Returns a canonical String representation of the actions of this EJBRoleRefPermission.

  Returns:
    a String containing the canonicalized actions of this EJBRoleRefPermission.

### hashCode

    public int hashCode()

  Returns the hash code value for this EJBRoleRefPermission. The properties of the returned hash code must be as follows:

  - During the lifetime of a Java application, the hashCode method must return the same integer value, every time it is called on a EJBRoleRefPermission object. The value returned by hashCode for a particular EJBRoleRefPermission need not remain consistent from one execution of an application to another.
  - If two EJBRoleRefPermission objects are equal according to the equals method, then calling the hashCode method on each of the two Permission objects must produce the same integer result (within an application).

  Returns:
    the integer hash code value for this object.

### implies

    public boolean implies(java.security.Permission permission)

  Determines if the argument Permission is "implied by" this EJBRoleRefPermission. For this to be the case,

  - The argument must be an instanceof EJBRoleRefPermission
  - with name equivalent to that of this EJBRoleRefPermission, and
  - with the role reference equivalent to that of this EJBRoleRefPermission applies.

    The name and actions comparisons described above are case sensitive.

  Parameters:
    `permission` - "this" EJBRoleRefPermission is checked to see if it implies the argument permission.

  Returns:
    true if the specified permission is implied by this object, false if not.

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.